#pragma once

#include <chrono>
#include <string>
#include <vector>

#include "pico/cyw43_arch.h"

enum class Waste {
    Restmuell,
    GelberSack,
    Papiertonne,
    Biotonne,
    Problemstoffmobil,
};

struct WasteDate {
    std::chrono::year_month_day date;
    std::vector<Waste> wasteTypes;
};

std::vector<WasteDate> parseCsv(const std::string& csv);

static int wifi_setup_impl(uint32_t country, const std::string &ssid, const std::string &pw,
                           bool firstTry = true);
void wifi_setup();